package net.ranides.assira.collection.lists;

import org.junit.Test;

import net.ranides.assira.collection.query.CQuery;

import java.util.Arrays;
import java.util.List;

import static org.junit.Assert.*;

public class ListBuilderTest {

    @Test
    public void basic() {
        List<String> list = new ListBuilder<>()
                .value("x")
                .values("a", "b", "c")
                .values("p q r".split(" "))
                .values(Arrays.asList("f", "g", "h", "i"))
                .values(CQuery.from().values("A", "B", "C"))
                .list();
        assertEquals(Arrays.asList("x a b c p q r f g h i A B C".split(" ")), list);

    }
}